<?xml version="1.0" encoding="utf-8" standalone="yes"?>
<rss version="2.0" xmlns:atom="http://www.w3.org/2005/Atom">
  <channel>
    <title>Reseller Users on Enterprise</title>
    <link>https://docs.au.xarios.cloud/enterprise-portal/en-us/api/reference/accounts/users/</link>
    <description>Recent content in Reseller Users on Enterprise</description>
    <generator>Hugo -- gohugo.io</generator><atom:link href="https://docs.au.xarios.cloud/enterprise-portal/en-us/api/reference/accounts/users/index.xml" rel="self" type="application/rss+xml" />
    <item>
      <title>Get All</title>
      <link>https://docs.au.xarios.cloud/enterprise-portal/en-us/api/reference/accounts/users/accountusersgetall/</link>
      <pubDate>Mon, 01 Jan 0001 00:00:00 +0000</pubDate>
      
      <guid>https://docs.au.xarios.cloud/enterprise-portal/en-us/api/reference/accounts/users/accountusersgetall/</guid>
      <description>Get All (Reseller )#Gets all Users for a Reseller Account tenant.
 GET /v1.0/accounts/{ACCOUNT_TENANT_ID}/users
 Example#This request will get all the Account Users of the given Account tenant.
Request#GET https://api.au.myreports.cloud/api/v1.0/accounts/{ACCOUNT_TENANT_ID}/users HTTP/1.1 Authorization: Bearer {TOKEN} Response#HTTP/1.1 200 OK Content-Type: application/json; charset=utf-8 Content-Length: xx { &amp;#34;page_size&amp;#34;: 2, &amp;#34;data&amp;#34;: [{ &amp;#34;id&amp;#34;: &amp;#34;{USER_ID_1}&amp;#34;, &amp;#34;displayName&amp;#34;: &amp;#34;User 1&amp;#34;, &amp;#34;email&amp;#34;: &amp;#34;user1@example.com&amp;#34;, &amp;#34;primaryTenant&amp;#34;: &amp;#34;{ACCOUNT_TENANT_ID}&amp;#34; }, { &amp;#34;id&amp;#34;: &amp;#34;{USER_ID_2}&amp;#34;, &amp;#34;displayName&amp;#34;: &amp;#34;User 2&amp;#34;, &amp;#34;email&amp;#34;: &amp;#34;user2@example.</description>
    </item>
    
    <item>
      <title>Get User</title>
      <link>https://docs.au.xarios.cloud/enterprise-portal/en-us/api/reference/accounts/users/accountusersgetuser/</link>
      <pubDate>Mon, 01 Jan 0001 00:00:00 +0000</pubDate>
      
      <guid>https://docs.au.xarios.cloud/enterprise-portal/en-us/api/reference/accounts/users/accountusersgetuser/</guid>
      <description>Get User (Reseller)#Gets an existing Reseller Account User from a Reseller Account tenant.
 GET /v1.0/accounts/{ACCOUNT_TENANT_ID}/users/{USER_ID}
 Example#This request will get the specific User within the Account tenant.
Request#GET https://api.au.myreports.cloud/api/v1.0/accounts/{ACCOUNT_TENANT_ID}/users/{USER_ID} HTTP/1.1 Authorization: Bearer {TOKEN} Response#HTTP/1.1 200 OK Content-Type: application/json; charset=utf-8 Content-Length: xx { &amp;#34;data&amp;#34;: { &amp;#34;id&amp;#34;: &amp;#34;{USER_ID}&amp;#34;, &amp;#34;displayName&amp;#34;: &amp;#34;Customer 1&amp;#34;, &amp;#34;email&amp;#34;: &amp;#34;user1@example.com&amp;#34;, &amp;#34;primaryTenant&amp;#34;: &amp;#34;{ACCOUNT_TENANT_ID}&amp;#34;, &amp;#34;roles&amp;#34;: [ &amp;#34;account.user&amp;#34; ] }, &amp;#34;status&amp;#34;: &amp;#34;success&amp;#34;, &amp;#34;timestamp&amp;#34;: &amp;#34;2019-01-01T10:00:00.</description>
    </item>
    
    <item>
      <title>Create User</title>
      <link>https://docs.au.xarios.cloud/enterprise-portal/en-us/api/reference/accounts/users/accountuserspost/</link>
      <pubDate>Mon, 01 Jan 0001 00:00:00 +0000</pubDate>
      
      <guid>https://docs.au.xarios.cloud/enterprise-portal/en-us/api/reference/accounts/users/accountuserspost/</guid>
      <description>Create User (Reseller)#Creates a new Reseller Account User assigned to a Reseller Account tenant.
 POST /v1.0/accounts/{ACCOUNT_TENANT_ID}/users
 Remarks#Whenever a new User is created they will be given the &amp;quot;account.user&amp;quot; role that allows them to login to the Reseller Portal. This will also send out an activation email to the address provided as soon as the User is created.
Example#This request will create a new User with the following details:</description>
    </item>
    
    <item>
      <title>Patch User</title>
      <link>https://docs.au.xarios.cloud/enterprise-portal/en-us/api/reference/accounts/users/accountuserspatch/</link>
      <pubDate>Mon, 01 Jan 0001 00:00:00 +0000</pubDate>
      
      <guid>https://docs.au.xarios.cloud/enterprise-portal/en-us/api/reference/accounts/users/accountuserspatch/</guid>
      <description>Patch User (Reseller)#Updates a specific set of properties of an Reseller Account User. This uses the JSON Patch format for any changes.
 PATCH /v1.0/accounts/{ACCOUNT_TENANT_ID}/users/{USER_ID}
 Hand Left warning
When patching the roles against a user, be careful if using the REPLACE operation.
With the replace operation, the user&#39;s current roles will be replaced with the values provided in the patch request. Any role not provided in the patch request will be removed from the user).</description>
    </item>
    
    <item>
      <title>Delete User</title>
      <link>https://docs.au.xarios.cloud/enterprise-portal/en-us/api/reference/accounts/users/accountusersdelete/</link>
      <pubDate>Mon, 01 Jan 0001 00:00:00 +0000</pubDate>
      
      <guid>https://docs.au.xarios.cloud/enterprise-portal/en-us/api/reference/accounts/users/accountusersdelete/</guid>
      <description>Delete User (Reseller)#Deletes an existing User from the Reseller Account tenant.
If this is a user&#39;s non primary tenant, it will remove them only from this tenant. They will still have access to any other Customer they are assigned.
If this is the user&#39;s primary tenant, it will remove them from ALL other Account tenants and delete the User account.
Request# DELETE /v1.0/accounts/{ACCOUNT_TENANT_ID}/users/{USER_ID}
 Example#This request will delete the specific User within the Account tenant.</description>
    </item>
    
    <item>
      <title>Send Activation Email</title>
      <link>https://docs.au.xarios.cloud/enterprise-portal/en-us/api/reference/accounts/users/accountuserssendactivationlink/</link>
      <pubDate>Mon, 01 Jan 0001 00:00:00 +0000</pubDate>
      
      <guid>https://docs.au.xarios.cloud/enterprise-portal/en-us/api/reference/accounts/users/accountuserssendactivationlink/</guid>
      <description>Send Activation Email (Reseller)#Send Activation Email Sends an activation email link to an existing User.
 POST /v1.0/accounts/{ACCOUNT_TENANT_ID}/users/{USER_ID}/sendActivationEmail
 Example#This request will get send an activations link to this User within the Customer tenant.
Hand Left warning
Activation emails can only be sent from the User&#39;s primary tenant.Request#POST https://api.au.myreports.cloud/api/v1.0/accounts/{ACCOUNT_TENANT_ID}/users/{USER_ID}/sendActivationEmail HTTP/1.1 Authorization: Bearer {TOKEN} Response#HTTP/1.1 204 No Content Errors#Unauthorized#When the token is not provided, invalid or expired HTTP/1.</description>
    </item>
    
  </channel>
</rss>
